Dubbo 2.5.5 发布,分布式 RPC 服务框架
达尔文 2017年09月12日

Dubbo 2.5.5 发布,分布式 RPC 服务框架

达尔文 达尔文 发布于2017年09月12日 收藏 29

Dubbo 2.5.5 已发布。该版本主要是修复 2.5.4 版本不兼容 jdk1.7 及以下版本的问题。

主要更新内容:

  • 修复 2.5.4 依赖 JDK 1.8 的 ConcurrentHashMap.keySet() 实现,导致不能兼容低版本的问题

更新:

<dependency>
    <groupId>com.alibaba</groupId>
    <artifactId>dubbo</artifactId>
    <version>2.5.5</version>
</dependency>

下载地址

Dubbo 是阿里巴巴公司开源的一个高性能优秀的服务框架,使得应用可通过高性能的 RPC 实现服务的输出和输入功能,可以和 Spring 框架无缝集成。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Dubbo 2.5.5 发布,分布式 RPC 服务框架
分享
评论(39)
精彩评论
16
沙发,支持一下,不过我已经转spring cloud了
10
支持一下,不过我已经转motan了
8
支持一下,不过我已经转spring cloud了
8
支持一下,不过已经转入到spring could
6
支持一下,不过我已经转spring cloud了
最新评论
0
支持一下,不过我已经转spring cloud了
0
支持一下,不过已经转入到spring could
1
爱用不用,瞎逼逼啥。
0
设计的时候没考虑到兼容问题吗
支持一下,不过我已经转spring cloud了
0
阿里为了商业服务去维护一个开源框架,不敢支持,幸好已经转入到spring could。
0
支持一下,不过我正准备转motan来了。
1
支持一下,不过我已经转行了
0
支持一下,正准备转spring could了
0

引用来自“阿信sxq”的评论

如果需要的是更低版本的java,那么编译参数肯定是会指定版本的,那么是怎么通过编译的呢

引用来自“小99”的评论

更低的那选择别的框架
我说的是官方版本的2.5.4是如何编译通过的,并不是我要使用它
2
支持一下 高并发秒杀 抢购 抗过来了��
1
支持一下,不过我已经转spring cloud了
0
支持一下,不过我已经转spring cloud了
0
支持
0
支持一下,正准备转spring could了
0
支持一下,不过我们已经转spring cloud了
1
队形好整齐!阿里的KPI看来是完不成了
0
支持一下,不过已经转入到spring could
0

引用来自“阿信sxq”的评论

如果需要的是更低版本的java,那么编译参数肯定是会指定版本的,那么是怎么通过编译的呢
更低的那选择别的框架
0
如果需要的是更低版本的java,那么编译参数肯定是会指定版本的,那么是怎么通过编译的呢
顶部